#add_subdirectory( tests )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kigfilters (static)

tde_add_library( kigfilters STATIC_PIC AUTOMOC

  SOURCES
        imageexporteroptionsbase.ui
        latexexporteroptions.ui
        svgexporteroptions.ui
        drgeo-filter-chooserbase.ui
        cabri-filter.cpp
        exporter.cpp
        filter.cpp
        filters-common.cpp
        imageexporteroptions.cpp
        kgeo-filter.cpp
        kseg-filter.cpp
        latexexporter.cpp
        native-filter.cpp
        svgexporter.cpp
        drgeo-filter.cpp
        drgeo-filter-chooser.cpp

  LINK
    kigmisc-static
)
